Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.gui.datatransfer
Class PlainTextTransferable

    java.lang.Object
      org.monte.media.gui.datatransfer.AbstractTransferable
          org.monte.media.gui.datatransfer.PlainTextTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class PlainTextTransferable

extends AbstractTransferable

PlainTextTransferable.

Note: This transferable should (almost) always be used in conjunction with PlainTextTransferable.

Version:
  1.1 2009-09-01 Replaced use of deprecated class StringBufferInputStream.
  1.0 22. August 2007 Created.
Author:
  Werner Randelshofer

Constructor Summary
`PlainTextTransferable(java.awt.datatransfer.DataFlavor[] flavors, java.lang.String plainText)`
`PlainTextTransferable(java.awt.datatransfer.DataFlavor flavor, java.lang.String plainText)`
`PlainTextTransferable(java.lang.String plainText)`

Method Summary
`protected static java.awt.datatransfer.DataFlavor[]` | `getDefaultFlavors()`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)`

Methods inherited from class org.monte.media.gui.datatransfer.AbstractTransferable
`getTransferDataFlavors, isDataFlavorSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainTextTransferable

    public PlainTextTransferable(java.lang.String plainText)

### PlainTextTransferable

    public PlainTextTransferable(java.awt.datatransfer.DataFlavor flavor,
                                 java.lang.String plainText)

### PlainTextTransferable

    public PlainTextTransferable(java.awt.datatransfer.DataFlavor[] flavors,
                                 java.lang.String plainText)

Method Detail

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

### getDefaultFlavors

    protected static java.awt.datatransfer.DataFlavor[] getDefaultFlavors()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD